Fix up several, mostly trivial, spelling errors
Colin Tuckley <colint@debian.org>
--- a/client/client_data.c
+++ b/client/client_data.c
@@ -212,7 +212,7 @@
     "Use the right and left mouse button to fire the balls "
     "while moving the paddle. Your opponent "
     "will have trouble to reflect all balls if you do it right. "
-    "If you are not sure wether you got balls left click anyway. "
+    "If you are not sure whether you got balls left click anyway. "
     "Keep the button pressed for a while! The fire rate is restricted "
     "to one ball every 500 milliseconds.##" 
     "NORMAL:#"
--- a/client/client_handlers.c
+++ b/client/client_handlers.c
@@ -74,7 +74,7 @@
 #ifdef NETWORK_ENABLED
 NetSocket client; /* client socket to the game server */
 #endif
-int client_is_connected; /* wether 'client' is a valid uplink */
+int client_is_connected; /* whether 'client' is a valid uplink */
 char client_error[128]; /* error message */
 int client_id; /* id assigned by server */
 char client_name[16]; /* our local username */
--- a/client/game.c
+++ b/client/game.c
@@ -77,7 +77,7 @@
 int game_stats[2][7]; /* network game stats */
 int stats_received = 0;
 int game_over = 0; /* network game is over */
-int allow_disintegrate = 1; /* wether Plane of Inner Stability may be entered */
+int allow_disintegrate = 1; /* whether Plane of Inner Stability may be entered */
 char best_name[32];
 int  best_score; /* result of first place in chart of local set */
 int  showing_best = 0; /* if true best score is shown, thus display should not be updated */
@@ -760,7 +760,7 @@
 #endif
 }
 
-/* check players of local game wether they entered a highscore */
+/* check players of local game whether they entered a highscore */
 static void check_highscores( void )
 {
 	int i;
@@ -1147,7 +1147,7 @@
 	stats_received = 0;
 	stk_timer_reset(); ms = 1;
 	while ( !abort && !stk_quit_request ) {
-		/* check wether an event occured */
+		/* check whether an event occured */
 		button_clicked = key_pressed = 0;
 		if ( SDL_PollEvent( &event ) ) {
 			if ( client_state == CS_PAUSE && game->game_type == GT_NETWORK )
@@ -1278,7 +1278,7 @@
 		case CS_PAUSE:
 			if ( game->game_type == GT_LOCAL ) break;
 
-			/* check wether pause chatroom has been closed
+			/* check whether pause chatroom has been closed
 			 * either by client or remote */
 			comm_recv();
 			break;
--- a/common/net.c
+++ b/common/net.c
@@ -708,7 +708,7 @@
 	msg_begin_reading();
 	id = msg_read_int32(); /* new incoming id, the difference to sock->incoming_id is 
 				  the number of dropped packets */
-	is_code_red = id >> 31; /* highest bit tells wether code red packet */
+	is_code_red = id >> 31; /* highest bit tells whether code red packet */
 	id &= ~(1<<31);
 	last_ack_code_red = msg_read_int32(); /* last code red packet remote received */
 
@@ -733,7 +733,7 @@
 	}
 	sock->good_packet_count++;
 
-	sock->incoming_id = id; /* last incoming packet (no matter wether red or blue) */
+	sock->incoming_id = id; /* last incoming packet (no matter whether red or blue) */
 	if ( is_code_red )
 		sock->incoming_code_red = id; /* last code red packet socket received */
 		
--- a/common/messages.h
+++ b/common/messages.h
@@ -186,7 +186,7 @@
 	 * string	extras
 	 *
 	 * leveldata 32+252*2 bytes except the first two byte. 
-	 * first tells wether the client plays at top or bottom
+	 * first tells whether the client plays at top or bottom
 	 * and second tells the comm delay of the server */
 	
 	/* 19 */
--- a/common/net.h
+++ b/common/net.h
@@ -86,7 +86,7 @@
 void msg_printf      ( char *format, ... );
 void msg_write       ( int len, void *data );
 int  msg_get_max_size();
-bool msg_write_failed(); /* check wether overflow occured */
+bool msg_write_failed(); /* check whether overflow occured */
 
 bool  msg_is_connectionless(); 
 void  msg_begin_reading(); /* of net_packet, starts at header */
@@ -96,7 +96,7 @@
 int   msg_read_int32( void );
 char* msg_read_string( void );
 void  msg_read( int len, char *buf );
-bool  msg_read_failed(); /* check wether data couldn't be extracted */
+bool  msg_read_failed(); /* check whether data couldn't be extracted */
 
 void socket_init( NetSocket *sock, NetAddr *addr );
 void socket_reinit( NetSocket *socket ); /* with same address */
--- a/game/game.c
+++ b/game/game.c
@@ -275,20 +275,20 @@
 	cur_game->frag_limit = limit;
 }
 
-/* set wether to use convex paddle */
+/* set whether to use convex paddle */
 void game_set_convex_paddle( int convex )
 {
 	cur_game->paddle_is_convex = convex;
 }
 
-/* set wether balls are returned to a paddle by pressing fire.
+/* set whether balls are returned to a paddle by pressing fire.
  * the alternative is that they automatically return. */
 void game_set_ball_auto_return( int auto_return )
 {
 	cur_game->balls_return_by_click = !auto_return;
 }
 
-/* set wether balls are fired at random angle or wether the
+/* set whether balls are fired at random angle or whether the
  * left/right fire keys are used */
 void game_set_ball_random_angle( int random )
 {
@@ -318,7 +318,7 @@
 }
 
 /* move objects, modify game data, store brick hits and collected extras.
- * return wether level has been finished and the id of the winning paddle
+ * return whether level has been finished and the id of the winning paddle
  * in network games. -1 is a draw. level_over and winner is saved in the
  * game struct. */
 void game_update( int ms )
--- a/game/game.h
+++ b/game/game.h
@@ -58,14 +58,14 @@
 /* set the number of points required to win a PINGPONG level */
 void game_set_frag_limit( int limit );
 
-/* set wether to use convex paddle */
+/* set whether to use convex paddle */
 void game_set_convex_paddle( int convex );
 
-/* set wether balls are returned to a paddle by pressing fire.
+/* set whether balls are returned to a paddle by pressing fire.
  * the alternative is that they automatically return. */
 void game_set_ball_auto_return( int auto_return );
 
-/* set wether balls are fired at random angle or wether the
+/* set whether balls are fired at random angle or whether the
  * left/right fire keys are used */
 void game_set_ball_random_angle( int random );
 
@@ -77,7 +77,7 @@
 void game_set_paddle_state( int id, int x, int y, int left_fire, int right_fire, int return_key );
 
 /* move objects, modify game data, store brick hits and collected extras.
- * return wether level has been finished and the id of the winning paddle
+ * return whether level has been finished and the id of the winning paddle
  * in network games. -1 is a draw. level_over and winner is saved in the
  * game struct. */
 void game_update( int ms );
--- a/server/server.c
+++ b/server/server.c
@@ -412,7 +412,7 @@
 /* ServerUser *find_user_by_addr
  * IN    NetAddr        *addr
  *
- * Search wether a user already uses this net address.
+ * Search whether a user already uses this net address.
  */
 static ServerUser* find_user_by_addr( NetAddr *addr )
 {
@@ -433,7 +433,7 @@
 /* void handle_connectionless_packet
  *
  * By now only connection attempts can be found in this category.
- * So check wether the packet contains a valid request (or send
+ * So check whether the packet contains a valid request (or send
  * error messages if it doesn't) and add a new user to channel
  * MAIN.
  */
@@ -461,7 +461,7 @@
             goto failure;
         }
     
-    /* check wether this user already exists. if so the LOGIN_OKAY
+    /* check whether this user already exists. if so the LOGIN_OKAY
      * message was dropped. */
     if ( (user = find_user_by_addr( &net_sender_addr )) )
         if ( strcmp( user->name, name ) )
@@ -925,7 +925,7 @@
 /* void handle
  * IN    int    ms    milliseconds passed since last call
  *
- * Receive all packets at the single UDP socket and check wether it is
+ * Receive all packets at the single UDP socket and check whether it is
  * connectionless (connection requests) or belongs to a connection (socket).
  * Find the user and parse all messages in the packet.
  *
--- a/server/server.h
+++ b/server/server.h
@@ -56,7 +56,7 @@
 	NetSocket  socket;	/* transmission socket */
 	int	   hidden;	/* True if chatroom user is not visible
 				   (e.g. looking at game statistics or playing) */
-	int	   admin;	/* wether user logged in with admit rights */
+	int	   admin;	/* whether user logged in with admit rights */
 	void	   *game;	/* FIXME: I'M A BAD HACK: points to the current ServerGame
 	                           if this user is playing */
 	int	   player_id;	/* 0 - challenger in game or 1 - challenged */
@@ -107,7 +107,7 @@
 					   is cur_round / rounds */
 	int		cur_level;	/* id of current level */
 	
-	int		ready[2];	/* wether user has sent READY */
+	int		ready[2];	/* whether user has sent READY */
 	Game		*game;		/* the actual game data used by server */
 	GameStats	stats[2];	/* game stats: 
 					   0 - challenger
